package jp.ac.kyutech.mns.ist.filter;

import javax.swing.JOptionPane;

import jp.ac.kyutech.mns.ist.ShortStroke;
import jp.ac.kyutech.mns.ist.SimpleATN;

public class SievePairSSAction extends BaseSSAction {

	public SievePairSSAction(){
		super();
	}
	public void processPickedUpByPair(ShortStroke ss1, ShortStroke ss2){
		super.processPickedUpByPair(ss1, ss2);
		
	}
	public void processNotPickedUpByPair(ShortStroke ss1, ShortStroke ss2){
		super.processNotPickedUpByPair(ss1, ss2);
		sslist_notpicked.add(ss2);
	}
	public void beforePairPickUp(){
		super.beforePickUp();// clear lists
		JOptionPane.showMessageDialog(SimpleATN.theapp, "いまから処理を開始します．(SievePairSSAction.beforePairPickUp)");
	}
	public void afterPairPickUp(){
		System.out.println("Picked: "+sslist.size());
		System.out.println("Not Picked: "+sslist_notpicked.size());
		
		JOptionPane.showMessageDialog(SimpleATN.theapp, "処理がおわりました．(SievePairSSAction.afterPairPickUp)");
	}
	
}
